Skip to main content

Get Payment

Retrieve full payment details by id, including type (payment or deposit), quotes, and optional receipt.
  curl -X GET
  "https://api.spacepay.co.uk/v1/external/secretkey-auth/payments/4291f98b-d68c-4eb0-883e-6bc790a41c96"
  \ -H "X-SpacePay-Secret-Key: sk_test_your_secret_key"
{
  "id": "4291f98b-d68c-4eb0-883e-6bc790a41c96",
  "merchantId": "4e29f55d-d6a8-42d7-8230-cb8efeded39e",
  "merchantShortName": "Copycat Creations",
  "type": "payment",
  "amountInCents": 250,
  "currency": "USD",
  "status": "completed",
  "depositAddress": {
    "id": "6c1c95e1-04f1-4881-b7cc-c2a529fbde76",
    "paymentId": "4291f98b-d68c-4eb0-883e-6bc790a41c96",
    "type": "EVM",
    "address": "0xa35e74109b7040d0ee74cb7cb71bae35a2981254",
    "createdAt": "2025-10-10T21:44:06.749Z"
  },
  "quotes": [
    {
      "id": "eb0e59b9-14d5-4324-a056-e87b74aa954f",
      "paymentId": "4291f98b-d68c-4eb0-883e-6bc790a41c96",
      "token": {
        "id": "f9d14525-367d-4e16-b247-8d4ed23f1413",
        "coingeckoApiId": "ethereum",
        "chain": {
          "chainId": 84532,
          "name": "Base Sepolia",
          "nativeSymbol": "ETH",
          "nativeDecimals": 18,
          "isEnabled": true
        },
        "symbol": "ETH",
        "contractAddress": "0x0000000000000000000000000000000000000000",
        "decimals": 18,
        "type": "volatile",
        "assetType": "native",
        "status": "active"
      },
      "chainId": 84532,
      "expectedAmountAsset": "668082370801162",
      "rateUsdAsset": "3742.05353900",
      "expiresAt": "2025-10-10T21:54:06.796Z",
      "status": "active",
      "createdAt": "2025-10-10T21:44:06.794Z"
    }
  ],
  "receipt": {
    "transactionHash": "0x1234567890abcdef1234567890abcdef12345678",
    "blockNumber": 18500000,
    "confirmations": 12,
    "requiredConfirmations": 12,
    "completedAt": "2025-10-10T21:45:00.000Z"
  },
  "orderId": "order_123",
  "redirectUrl": "https://merchant.example.com/checkout/success",
  "createdAt": "2025-10-10T21:44:06.733Z"
}

Path Parameters

paymentId
string
required
Unique identifier of the payment to retrieve.

Response Fields

id
string
required
Unique payment identifier.
merchantId
string
required
ID of the merchant who created the payment.
merchantShortName
string
required
Short name of the merchant for display purposes.
type
string
required
payment (fixed amount) or deposit (variable on-chain amount).
amountInCents
number
required
Payment amount in cents.
amountDueCents
number
required
Amount due in cents.
amountMerchantNetCents
number
required
Merchant net amount in cents after fees.
currency
string
required
Payment currency.
status
string
required
Current payment status. Possible values: - pending: Payment created, waiting for customer payment - processing: Payment received, waiting for confirmations - completed: Payment confirmed and complete - failed: Payment failed - expired: Payment expired - cancelled: Payment cancelled
depositAddress
object
required
Cryptocurrency deposit address for the payment.
quotes
array
required
Available cryptocurrency quotes for the payment.
receipt
object
Transaction receipt information (only present for completed payments).
orderId
string
Merchant’s order identifier.
redirectUrl
string
URL to redirect the customer after payment completion.
createdAt
string
required
Timestamp when the payment was created.

Error Responses

{
  "error": {
    "type": "authentication_error",
    "message": "Invalid or missing X-SpacePay-Secret-Key header",
    "code": "invalid_api_key"
  }
}
{
  "error": {
    "type": "not_found_error",
    "message": "Payment not found",
    "code": "payment_not_found"
  }
}